FROM openshift/golang-builder:1.11 AS builder
ENV SOURCE_GIT_COMMIT=d52943610a9ed92b5d2a0fbae5ba97b83207c595 SOURCE_DATE_EPOCH=1568060692 BUILD_VERSION=v4.2.4 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator SOURCE_GIT_TAG=d529436 BUILD_RELEASE=201911050122
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.2.4.20191105.012255
ENV SOURCE_GIT_COMMIT=d52943610a9ed92b5d2a0fbae5ba97b83207c595 SOURCE_DATE_EPOCH=1568060692 BUILD_VERSION=v4.2.4 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator SOURCE_GIT_TAG=d529436 BUILD_RELEASE=201911050122
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/diskmaker /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/diskmaker"]

LABEL \
        io.k8s.description="This is a component of OpenShift and manages local disks." \
        com.redhat.component="local-storage-diskmaker-container" \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-diskmaker" \
        io.k8s.display-name="OpenShift local storage diskmaker" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/d52943610a9ed92b5d2a0fbae5ba97b83207c595" \
        version="v4.2.4" \
        io.openshift.build.commit.id="d52943610a9ed92b5d2a0fbae5ba97b83207c595" \
        release="201911050122"

